%define upstream_name Image_Barcode
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.2
Release:     	%mkrel 1
Summary:    	Barcode generation
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Image_Barcode-%{version}.tgz
URL: 		http://pear.php.net/package/Image_Barcode
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch

%description
With Image_Barcode class you can create a barcode
  representation of a given string.

  This class uses GD function because of this the generated graphic can be
any of
  GD supported supported image types.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Image_Barcode.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Image_Barcode.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Image_Barcode
fi

%files
%defattr(-,root,root)
%doc docs/Image_Barcode/*
%{peardir}/*
%{xmldir}/Image_Barcode.xml


%changelog

* Mon Jan 23 2012 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 200033
- upgrade to 1.1.2
  pearized spec file

* Fri Jan 28 2011 spuhler <spuhler> 1.1.1-1.mga1
+ Revision: 42699
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Image_Barcode

